MONGOC_STREAM_FILE_GET_FD(3)

NAME
mongoc_stream_file_get_fd - mongoc_stream_file_get_fd()

SYNOPSIS

int
mongoc_stream_file_get_fd (mongoc_stream_file_t *stream);

PARAMETERS

•   stream: A mongoc_stream_file_t.

    This function shall return the underlying file-descriptor of a mongoc_stream_file_t.

    WARNING: Performing operations on the underlying file-descriptor may not be safe if used in conjunction with buffering. Avoid reading or writing from this file-descriptor.

RETURNS

A file-descriptor that should not be modified by the caller.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc